<template lang="html">
  <div id="tabs" class="container">

    <div class="tabs">
        <a v-on:click="activetab=1" v-bind:class="[ activetab === 1 ? 'active' : '' ]">Личные данные</a>
        <a v-on:click="activetab=2" v-bind:class="[ activetab === 2 ? 'active' : '' ]">Пополнение счёта</a>
        <a v-on:click="activetab=3" v-bind:class="[ activetab === 3 ? 'active' : '' ]">История пополнений</a>
        <a v-on:click="activetab=4" v-bind:class="[ activetab === 4 ? 'active' : '' ]">Вывод средств</a>
    </div>

    <div class="content">
        <div v-if="activetab === 1" :ref="test" class="tabcontent">
          <ui-personal-data></ui-personal-data>
        </div>
        <div v-if="activetab === 2" class="tabcontent">
          <ui-account-refill></ui-account-refill>
        </div>
        <div v-if="activetab === 3" class="tabcontent">
            <ui-refill-history></ui-refill-history>
        </div>
        <div v-if="activetab === 4" class="tabcontent">
            <ui-withdraw></ui-withdraw>
        </div>
    </div>

</div>
</template>

<script>
export default {
    methods: {
      bgData: function(Event){
        this.$refs.test.style.background="red";
        console.log(event);
      },
    },
    data () {
      return {
         activetab: 1
      }
    }
}
</script>

<style lang="scss" scoped>
  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  .container {
      font-family: Arial, Helvetica, sans-serif;
      font-size: 0.9em;
      color: #888;
  }

  /* Style the tabs */
  .tabs {
      overflow: hidden;
      margin-top: 49px; // hide bottom border


      display: flex;
      flex-direction: row;
      justify-content: space-between;

  }

  .tabs ul {
      list-style-type: none;
      margin-left: 20px;
  }

  .tabs a {
      float: left;
      cursor: pointer;
      padding: 20px 27px;
      border: 1px solid black;
      background: transparent;
      border-radius: 4px;
      font-weight: bold;

      color: black;

      transition: .3s all ease;

      font-size: 18px;
      font-weight: bold;
  }

  /* Change background color of tabs on hover */
  .tabs a:hover {
      background-color: #d8d7d7;

      transition: .3s all ease;
  }

  /* Styling for active tab */
  .tabs a.active {
      border-radius: 4px;
      border: none;
      box-shadow: 1px 5px 15px -5px black;
      z-index: 1;
      color: black;

      background-color: #fff;
      cursor: default;

      font-weight: bold;
  }

  /* Style the tab content */
  .content {
    margin-top: 9%;
  }

</style>
